Bug 869970 - Can't find env OPENSHIFT_MONGODB_DB_SOCKET in app that embed with mongodb-2.2
Can't find env OPENSHIFT_MONGODB_DB_SOCKET in app that embed with mongodb-2.2
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 05:14 EDT by Rony Gong
Modified: 2015-05-14 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-10-25 05:14:25 EDT
Description of problem:
Can't find env OPENSHIFT_MONGODB_DB_SOCKET for app that embed with mongodb-2.2,
and other db_socket env could be found.

Version-Release number of selected component (if applicable):
INT_Server(devenv_2376)

How reproducible:
always

Steps to Reproduce:
1.Create non-scalable app and embed mongodb 
2.ssh into this app, then type: env|grep OPENSHIFT_MONGODB_DB_SOCKET
3.Create scalable app and embed mongodb 
4.ssh into the mongodb gear, then type: env|grep OPENSHIFT_MONGODB_DB_SOCKET
  
Actual results:
Can't find the env OPENSHIFT_MONGODB_DB_SOCKET
in app gear for non_calable app
Can't find the env OPENSHIFT_MONGODB_DB_SOCKET
in db gear for scalable app


Expected results:
Could find the env OPENSHIFT_MONGODB_DB_SOCKET

Additional info:
Comment 1 Paul Morie 2012-11-05 11:50:51 EST
Reproducing in devenv now.
Comment 2 Paul Morie 2012-11-05 12:07:02 EST
The value you're looking for is OPENSHIFT_MONGODB_DB_PORT, which is present in the env.
Comment 3 Mrunal Patel 2012-11-05 13:29:55 EST
We don't have OPENSHIFT_MONGODB_DB_SOCKET and that is expected behavior.
Comment 4 Rony Gong 2012-11-05 21:30:23 EST
Verified on devenv_2430, no exist of OPENSHIFT_MONGODB_DB_SOCKET  any more
[qphp-qgong1.dev.rhcloud.com ~]\> env|grep MONGO
OPENSHIFT_MONGODB_DB_USERNAME=admin
OPENSHIFT_MONGODB_DB_LOG_DIR=/var/lib/openshift/6d0e708d77514b8497e6ec02c1de9c04//mongodb-2.2/log
OPENSHIFT_MONGODB_DB_PASSWORD=Tv-vqY88vAvW
OPENSHIFT_MONGODB_DB_HOST=127.0.251.129
OPENSHIFT_MONGODB_DB_PORT=27017
OPENSHIFT_MONGODB_DB_URL=mongodb://admin:Tv-vqY88vAvW@127.0.251.129:27017/

Note You need to log in before you can comment on or make changes to this bug.